Skip to main content
POST
/
api
/
v1
/
external
/
companies
/
{companyId}
/
quotes
Create Quote
curl --request POST \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/quotes \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "submissionId": "550e8400-e29b-41d4-a716-446655440010",
  "policy": {
    "effectiveDate": "2025-01-01",
    "premium": 15000
  },
  "exposures": [
    {
      "exposureName": "Acme Corp",
      "employeeCount": 150
    }
  ]
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440001"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aiinsurance.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Body

application/json
submissionId
string<uuid>
required

Submission to associate the quote with

policy
object
required

Policy-level custom field data (lifecycle fields rejected)

exposures
object[]
required

Array of exposure objects with custom field data

Response

Quote created

id
string<uuid>
required

Newly created quote ID